Description

History

#1 - 08/27/2012 05:00 PM - Greg Shah

Please write the directory_cfg.odt chapter in the p2j_docs/runtime_installation_configuration_and_administration_guide/ project. The chapter has

many note about the content, but it is not yet written. You should also change or add anything else that you find would be useful.

#2 - 08/30/2012 02:45 PM - Adrian Lungu

- % Done changed from 0 to 30

- Status changed from New to WIP

#3 - 09/03/2012 12:59 PM - Adrian Lungu

This chapter should include details about command line utilities for editing the directory. The com.goldencode.p2j.test.DirectoryEdit Utility is

documented in p2j/src/com/goldencode/p2j/directory/package.html but from (the TODOs in) the code it seems to not be completed and do not work.

Should I include the info from package.html related to this utility in the document?

#4 - 09/03/2012 01:37 PM - Greg Shah

Do NOT document com.goldencode.p2j.test.DirectoryEdit.  It is possibly useful for reference purposes, but it is not useful for a real user.

I was referring to these programs (sorry, I should have listed them before):

com.goldencode.p2j.directory.DirectoryCopy

com.goldencode.p2j.directory.DirectoryDiff

#5 - 09/03/2012 05:39 PM - Adrian Lungu

- % Done changed from 30 to 70

apart from the directory.xml file I do not have a reference about directory XML file format. There are two TODOs left in the document related to

XML file format and XML file implementation (the LDAP implementation that it's not fully working has a lot more content). I need a reference here

at least to main/mandatory sections.

search algorithms section still in progress

committed into bazaar
#6 - 09/04/2012 08:39 AM - Greg Shah

I don't think we have a reference that fully describes the XML directory file syntax.

The following are helpful:

1. The com/goldencode/p2j/directory/package.html has a great deal of very useful information.  I assume you have already been using this for much

of the other content in this chapter.  The sections on "Primitive Directory Data Types" and on "Directory Objects Classes" are good examples.  It is

also useful to look at the low level API (I don't like it myself, but for now we are stuck with it).  The section on that is called "API Summary".  The

com.goldencode.p2j.directory.DirectoryService class implements this API.  It is not an interface.  FYI, we have been planning to implement a

cleaner/simpler approach to the directory (both in the API and in the back-end XML syntax).  The current approach is over-complicated and the extra

features are not really useful or needed.  You can see the beginnings of the better API in the com.goldencode.p2j.directory.Directory interface and the

com.goldencode.p2j.directory.DirectoryManager factory.

2. The main class that reads/writes the XML file is in com.goldencode.p2j.directory.XmlRemapperIO.  That is the "definitive" source for the XML file

syntax.

#7 - 09/06/2012 04:31 PM - Adrian Lungu

- Status changed from WIP to Review

- % Done changed from 70 to 90

finalized the content

committed to bazaar

there is still some information in p2j/directory/package.html that could be included if needed:

- Appendix B. LdapMapGen Utility

- Directory Resource Plugin
